<?php

namespace borrar_registro;

require_once __DIR__ . '/../../conexion_bbdd/vendor/autoload.php';
require_once __DIR__ . '/../../conexion_bbdd/Config/Database.php';
require_once __DIR__ . '/../../Logger.php';

use Utils\Database;
use Utils\Database_tesoreria;
use Utils\Logger;

// Permitir el acceso desde cualquier origen (para desarrollo)
header("Access-Control-Allow-Origin: *");

// Permitir métodos HTTP específicos
header("Access-Control-Allow-Methods: GET, POST, OPTIONS");

// Permitir encabezados personalizados
header("Access-Control-Allow-Headers: Content-Type, Authorization");

// Encabezado para tipo de contenido JSON
header("Content-Type: application/json");

$idRegister = isset($_GET['id']) ? intval($_GET['id']) : null;
$status = 0;

if ($idRegister !== null) {
    try {
        // Conexión a la base de datos
        $pdo = Database_tesoreria::conectar_tesoreria();

        // Consulta SQL con parámetro condicional
        $consulta = "
            UPDATE registros
            SET estado_respuesta=:estado_respuesta, updated_at=now()
            WHERE id=:id";

        // Preparar la consulta
        $stmt = $pdo->prepare($consulta);
        $stmt->bindParam(':estado_respuesta', $status, \PDO::PARAM_INT);
        $stmt->bindParam(':id', $idRegister, \PDO::PARAM_INT);
        $stmt->execute();

        // Devolver el mensaje de éxito
        echo json_encode(['data' => 'Success']);

    } catch (\PDOException $e) {
        $mensajeError = "Error al conectar con la base de datos: " . $e->getMessage();
        Logger::logError('ERROR', $mensajeError, __FILE__, __LINE__);
        echo json_encode(['success' => false, 'message' => 'Error ' . $mensajeError]);
    } catch (\Exception $e) {
        $mensajeError = "Error no capturado: " . $e->getMessage();
        Logger::logError('ERROR', $mensajeError, __FILE__, __LINE__);
        echo json_encode(['success' => false, 'message' => 'Error ' . $mensajeError]);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'ID inválido']);
}

?>
